path: /build/build/st-x11-terms-0.9.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-terms/st -pv -t && \
    emerge -j ${JOBS} --nodeps x11-terms/st
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/st && luet-portage --dir /pkgdir/st
    x11-terms/st && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:afb55baa8b8ee42b81e111bb0c5561a5f4875f7cd93dc7dd82a83bd124e22849
  package:
    name: st
    version: 0.9.2
    category: x11-terms
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: simple terminal implementation for X
    uri:
    - https://st.suckless.org/
    license: MIT-with-advertising
    buildtimestamp: 2024-04-26 08:26:23.484581795 +0000 UTC m=+88.974341921
    labels:
      DEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft
        virtual/pkgconfig x11-base/xorg-proto'
      IUSE: savedconfig savedconfig
      RDEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft'
      emerge.packages: x11-terms/st
      kit: desktop-kit
      original.package.name: x11-terms/st
      original.package.slot: "0"
      original.package.version: 0.9.2
    treedir: /build/packages
  package_dir: /pkgdir/st
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4be54863a62352bb16e18c42026a7bb5ff9b4c2582349b6d85e7f8a847ee48fe
compressiontype: zstd
files:
- etc/portage/savedconfig/x11-terms/st-0.9.2
- usr/bin/st
- usr/share/applications/st-st.desktop
- usr/share/doc/st-0.9.2/TODO.bz2
- usr/share/man/man1/st.1.bz2
- var/db/pkg/x11-terms/st-0.9.2/BUILD_TIME
- var/db/pkg/x11-terms/st-0.9.2/CATEGORY
- var/db/pkg/x11-terms/st-0.9.2/CBUILD
- var/db/pkg/x11-terms/st-0.9.2/CC
- var/db/pkg/x11-terms/st-0.9.2/CFLAGS
- var/db/pkg/x11-terms/st-0.9.2/CHOST
- var/db/pkg/x11-terms/st-0.9.2/CONTENTS
- var/db/pkg/x11-terms/st-0.9.2/COUNTER
- var/db/pkg/x11-terms/st-0.9.2/CXXFLAGS
- var/db/pkg/x11-terms/st-0.9.2/DEFINED_PHASES
- var/db/pkg/x11-terms/st-0.9.2/DEPEND
- var/db/pkg/x11-terms/st-0.9.2/DESCRIPTION
- var/db/pkg/x11-terms/st-0.9.2/EAPI
- var/db/pkg/x11-terms/st-0.9.2/FEATURES
- var/db/pkg/x11-terms/st-0.9.2/HOMEPAGE
- var/db/pkg/x11-terms/st-0.9.2/INHERITED
- var/db/pkg/x11-terms/st-0.9.2/IUSE
- var/db/pkg/x11-terms/st-0.9.2/IUSE_EFFECTIVE
- var/db/pkg/x11-terms/st-0.9.2/KEYWORDS
- var/db/pkg/x11-terms/st-0.9.2/LDFLAGS
- var/db/pkg/x11-terms/st-0.9.2/LICENSE
- var/db/pkg/x11-terms/st-0.9.2/NEEDED
- var/db/pkg/x11-terms/st-0.9.2/PF
- var/db/pkg/x11-terms/st-0.9.2/RDEPEND
- var/db/pkg/x11-terms/st-0.9.2/REQUIRES
- var/db/pkg/x11-terms/st-0.9.2/SIZE
- var/db/pkg/x11-terms/st-0.9.2/SLOT
- var/db/pkg/x11-terms/st-0.9.2/USE
- var/db/pkg/x11-terms/st-0.9.2/environment.bz2
- var/db/pkg/x11-terms/st-0.9.2/repository
- var/db/pkg/x11-terms/st-0.9.2/st-0.9.2.ebuild
package_cacheimage: ""
runtime:
  name: st
  version: 0.9.2
  category: x11-terms
  requires:
  - name: ncurses
    version: '>=0'
    category: sys-libs
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libXft
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: simple terminal implementation for X
  uri:
  - https://st.suckless.org/
  license: MIT-with-advertising
  labels:
    DEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft
      virtual/pkgconfig x11-base/xorg-proto'
    IUSE: savedconfig savedconfig
    RDEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft'
    emerge.packages: x11-terms/st
    kit: desktop-kit
    original.package.name: x11-terms/st
    original.package.slot: "0"
    original.package.version: 0.9.2
